Subject: Re: [bug#74290] [PATCH v2 13/40] gnu: gcc-13, gcc-14: Support being used as parent for gcc-static.

From: <[email-masked]>
Date: Sun, 17 Nov 2024 19:46:27 +0100

> Ludovic Courtès writes:

>> Janneke Nieuwenhuizen <[email-masked]> skribis:
>>
>>> * gnu/packages/gcc.scm (gcc-13)[arguments]: Use quasiquote instead of
>>> g-expressions.
>>> (gcc-14)[arguments]: Likewise.
>>>
>>> Change-Id: I22269b31d49868effe967d46247b189ed9a9d394
>>
>> [...]
>>
>>> -           #~(modify-phases #$phases
>>> -               (delete 'patch-hurd-libpthread))
>>> +           `(modify-phases ,phases
>>> +              (delete 'patch-hurd-libpthread))
>>
>> I think we should not do that as this undoes previous changes.
>>
>> Instead, can we change whichever package expects to get an sexp here to
>> use gexps?
>
> Hmm, how would that work?  The package that expects a sexp is
> gcc-static.
>
> If we update gcc-static to also use gexps we can no longer build any gcc
> < 13 static?  Unless we update also update gcc-4.7, gcc-4.8, and those
> in commencement.  Maybe (hopefully!) I'm missing something?

I have upgraded %gcc-static in make-bootstrap to gcc-14, problem solved :)
hopefully.

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com